<?php
session_start();
    include_once("../scripts/connect.php");
    $conexion=conecta_default();

    include("../scripts/session.php");
    //Validar Session
    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
    if(!$sesion->isValida("4"))
    { /*Sesion invalida*/
      header("Location: ../index.php?err=NoSesion");
    }
    else
    {
      $dato=explode("|",$_SESSION['usuario']);
      $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }//fin validar session

    date_default_timezone_set('America/Mexico_City');
    setlocale(LC_ALL,"es_ES");

    $id_transa=$_POST['id_trans'];
   // $envio=$_POST['flete'];
    $calificado=$_POST['calif'];
    $centroent=$_POST['centroent'];
    $tiponota=$_POST['tiponota'];
    echo $tiponota;
    $entre_per=$_POST['entrega_pe'];
    //$rexp=$_POST['reexp'];
    if($tiponota==11){
             echo "<SCRIPT LANGUAGE='JavaScript'>
              window.onload = function tipo_nota(){document.bgColor = '#A9F5F2';}
              </script>";
          echo "<h1><center>Nota de Salida</center></h1>";
    }
    else echo "<br><font size=\"6\" color=\"#5C3C12\">Nota de venta</font><br><br>";



    $ob;
    $x=0;
    $w=0;
    $reg=0;
    $reg2=0;
    $peso=0;
    $pesototal;
    $flete; 
    $prod_list=0;
    $listaCantidad[]=NULL;
    $listaNombre[]=NULL;
    $tope=$_POST["topeprom"];
    $lista=array();
    $lista_cant=array();
    $canti[]=NULL;
    $idprod[]=NULL;
    $nombreProd[]=NULL;
    global $prod_exist;

    $cuenta=$_POST['cuentale'];
    $cuentap=$_POST['cuentalep'];
    $idin = $sesion->id;
    $errorinv=false;
?>
<script language='JavaScript' src='popcalendar.js'></script>
<script language='JavaScript' src='../scripts/jquery-2.2.3.min.js'></script>
<script language='JavaScript' src='../scripts/validadorvoucher.js'></script>
<script language='JavaScript' src='../scripts/Val_2.js'></script>
<script language='JavaScript' src="../scripts/control_tipo_pago.js"></script>

<?php

// Cuando es pedido  guardado


//$buscar_articulos_tr_ped="SELECT * from pedido_real where transacciones_idtransacciones='$id_transa' ";
//$articulos_guardados=mysqli_query($conexion, $buscar_articulos_tr_ped) or die ('No se ha podido obtener la lista de articulos!');



/////

  $rfc=$_POST['rfcpr'];
  $qp = "SELECT id_inver, rfc, nombre, appat, apmat ,estados_idestado FROM inversionista WHERE rfc =\"$rfc\"";
  $cp = mysqli_query($conexion, $qp) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
  $rp = mysqli_fetch_object($cp);
  $id_dist = $rp->id_inver;	
  $localidad=$rp->estados_idestado;
  $nombre = $rp->nombre." ".$rp->appat." ".$rp->apmat;
  $qC3 = "SELECT idreg, apagar from regs2 where id_inver=$id_dist and status=0";
  $cC3 = mysqli_query($conexion, $qC3) or die ('Error (Registro No Encontrado (Tabla regalias)): ' . mysqli_error($conexion));
  $gtot=0; $puntos=0;
  echo"<center>";
  echo "<form action='pedido_pendiente.php' method='post'>";
  echo"<table cellspacing=5>
      <tr><td bgcolor=\"#006633\"><font color=\"#FFFFFF\">RFC</font></td><td bgcolor=\"#CCFFCC\">$rfc</td></tr> 
      <tr><td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Nombre</font></td><td bgcolor=\"#CCFFCC\">$nombre</td></tr> 
      </table><br>";
      echo
        "Contenido del pedido:
	    <table border=1><tr><td>
		<table CellPadding=5>
		<tr bgcolor=\"#006633\">
        <th><font color=\"#FFFFFF\">Cant</font></th>
        <th><font color=\"#FFFFFF\">Producto</font></th>
  		<th><font color=\"#FFFFFF\">Precio</font></th>
        <th><font color=\"#FFFFFF\">Puntos</font></th>
		</tr>";

  for ($k=0; $k<$cuenta; $k++)
  {
    if ($_POST["cant$k"] > 0)
    {
      $A1[$k]=$_POST["cant$k"];
      $A2[$k]=$_POST["copia_nombreProd$k"];
      $A3[$k]=$_POST["copia_precio$k"];
      $A4[$k]=$_POST["copia_id_prod$k"];
      $A5[$k]=$_POST["copia_puntos$k"];
      $A6[$k]=$_POST["existencias$k"];
      echo"<input type=hidden name=copia_id_prod$k value='$A4[$k]'>
      <input type=hidden name=copia_precio$k value='$A3[$k]'>
      <input type=hidden name=copia_puntos$k value='$A5[$k]'>
      <input type=hidden name=cant$k value='$A1[$k]'> 
      <input type=hidden name=copia_nombreProd$k value='$A2[$k]'>";



	 if($A4[$k]==525){$reg=1;$reg2=1;}//verificar si es inscripcion y quitar regalo

      $tot=$A1[$k]*$A3[$k];
      $gtot+=$tot;
      $puntot=$A1[$k]*$A5[$k];
      $puntos+=$puntot;

      echo"<font size=2><tr bgcolor=\"#CCFFCC\"><td align=\"center\" width=\"30\">$A1[$k]</td>  <td align=\"center\">$A2[$k]</td> 
      <td align=\"center\">$A3[$k]</td> <td align=\"center\">$A5[$k]</td></font></tr>";

      $cip="SELECT productos.nombreProd, promop.idprodp
            from promod join promop on promod.id_promo=promop.promop
            join productos on promop.idprodp=productos.id_prod
            where promod.id_promo = $A4[$k]";
      $qcip=mysqli_query($conexion, $cip) or die ("Error en la consulta del id de si es promo: ".mysqli_error($conexion));

      if(mysqli_num_rows($qcip) > 0)
      {
        for($j=0; $rw=mysqli_fetch_array($qcip); $j++)
        { 
          $promo_canti[$k][$rw[1]] = $_POST["cant$k-$rw[1]"]; ?>
          <tr>
            <td><?php echo ($promo_canti[$k][$rw[1]] * $A1[$k]);?></td>
            <td><?php echo $rw[0];?></td>
          </tr>
        <?php }
      }
    }
  }

  for ($k=0; $k<$cuenta; $k++)
  {
    if ($_POST["cant$k"] > 0)
    {
      $canti[$k] = $_POST["cant$k"];
      $idprod[$k] = $_POST["copia_id_prod$k"];
      $cprecio[$k] = $_POST["copia_precio$k"];
      $nombrep[$k] = $_POST["copia_nombreProd$k"];
     
    }
    
  }

	echo"</table></td><td><center><b>Resumen Producto a Entregar:</b></center>";
    
	echo"<table CellPadding=5>

			<tr bgcolor=\"#006633\"><th><font color=\"#FFFFFF\">Cant</font></th><th><font color=\"#FFFFFF\">Producto</font></th>
			<th><font color=\"#FFFFFF\">Exist</font></th>
			</tr>";


  for($k = 0; $k < $cuenta; $k++){
        $busquedadatos = "SELECT productos.nombreProd, promop.cantp, idprodp
                          FROM promod JOIN promop ON promod.id_promo = promop.promop
                          JOIN productos ON promop.idprodp = productos.id_prod
                          WHERE promod.id_promo = '" . $idprod[$k] . "'";
        $resconsulta = mysqli_query($conexion, $busquedadatos);
        if(mysqli_num_rows($resconsulta) > 0){
            while($ob = mysqli_fetch_array($resconsulta)){
                $prod_exist = array_search($ob[0],$listaNombre);
                if($promo_canti[$k][$ob[2]] > 0){
                  if($prod_exist === False){
                      $listaNombre[$x] = $ob[0];
                      $listaCantidad[$x] = $promo_canti[$k][$ob[2]] * (($canti[$k] > 1) ? $canti[$k] : 1);
                      $x++;
                  }
                  else{
                      $listaCantidad[$prod_exist] += ($promo_canti[$k][$ob[2]] * (($canti[$k] > 1) ? $canti[$k] : 1));
                  }
                }
                else
                {
                  unset($promo_canti[$k][$ob[2]]);
                }
            }
        }
    }//promociones

  //echo "<input type='hidden' name='promo_canti' value='" . serialize($promo_canti) . "' >";

  for($k = 0; $k < $cuenta; $k++){
        $sql = "SELECT * FROM  productos WHERE id_prod = '$idprod[$k]'";
        $respuestaprod = mysqli_query($conexion, $sql);
        if(mysqli_affected_rows($conexion)){
            $prod_exist2 = array_search($nombrep[$k],$listaNombre);
            if($prod_exist2 === False){//producto no existe en lista
                $listaNombre[$x] = $nombrep[$k];
                $listaCantidad[$x] = $canti[$k];
                $x++;
            }
            else{//producto existe en la lista (sumar coincidencias)
                $listaNombre[$prod_exist2] = $nombrep[$k];
                $listaCantidad[$prod_exist2] += $canti[$k];
            }
        }
    }//articulos

    $dia=date("d");


   if($puntos>=624 && $dia<=11 && $tiponota==10 && $reg==0 && $calificado!=1)
    {
    	$listaNombre[$x]="Acqua_125ml";
    	$listaCantidad[$x]="1";
    	$x++;	
    }


  



    echo "<input type='hidden' name='ticket_prod' value='" . serialize($listaNombre) . "' >";
    echo "<input type='hidden' name='ticket_canti' value='" . serialize($listaCantidad) . "' >";


        for($peso;$peso<$x;$peso++)
        {
          $calculapeso="SELECT peso from productos where nombreProd='$listaNombre[$peso]'";
          $Qpesos=mysqli_query($conexion, $calculapeso);
          $pesos=mysqli_fetch_array($Qpesos);
          $cantporart=$listaCantidad[$peso]*$pesos[0];
          $pesototal+=$cantporart;
        }
        $pesokg=$pesototal/1000;
        $kiloextra=round($pesokg-5);
        
      if($pesokg>5)
      {
          $flete=80;
          $kiloextracosto=$kiloextra*13;
          $flete=$kiloextracosto+$flete;
          $gtotf=$gtot+$flete;
        if($rexp>0)
          {
            $flete+=$rexp;
          }
        }
        else
        {
           $flete=80;
              $gtotf=$gtot+$flete;
          if($rexp>0)
          {
            $flete+=$rexp;
             $gtotf=$gtot+$flete;
          }
        }
    
  

  for($h=0;$h<$x;$h++)
    {
      $elprod=$listaNombre[$h];
	    $qp31 = "SELECT cantidad from productos join stock on productos.id_prod=stock.idprod where nombreProd='$listaNombre[$h]' and idcd=$centroent";
	    $cp31 = mysqli_query($conexion, $qp31) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
      $rp31 = mysqli_fetch_object($cp31);	
	    $exist = $rp31->cantidad;
      if($exist<$listaCantidad[$h]){$errorinv=true;}
      echo "<tr bgcolor='#ecf9e8'><td>$listaCantidad[$h]</td><td>$listaNombre[$h]</td><td>$exist</td></tr>";
    }
  echo"</table>";
	if($errorinv==true){echo"<br><font color='#EF0000'><b><centeR>Se est&aacute; solicitando una cantidad<bR> mayor a existencias</b></center></font>";}
	echo"</td></tr></table>";
	echo"<br><input type=hidden name='rfcpr' value=\"$rfc\"><table cellspacing=5>
			<tr bgcolor=\"#CCFFCC\">
			<td>Precio:</td>
			<td><b>$ $gtot</b></td>
      <td>Peso(Kg):</td>
      <td><b>$pesokg</b></td>
      
			<input type='hidden' value='$gtot' id='totals'>
			<td>Puntos:</td>
			<td><b>$puntos</b></td>
			</tr>
			</table>
			<BR>";
			if($centroent==8){echo"
			<input type='checkbox' name='envio' value='1'checked/>";}else{echo"
			<input type='checkbox' name='envio' value='1'/>";}
			echo"
			Flete: <input type='text' size='4' maxlength='10' name='flete' value='$flete' >";
			 $q2 = "SELECT * from paqueterias  WHERE 1 ";
  
  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
  echo"Paqueteria: <select name = \"paq\">";
  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	 
    echo"<option value=\"$a0\">$a1</option>";
	}
		 echo"</select><br><br>Precio sin Flete $ $gtot<br>Precio con Flete $ $gtotf
      ";
  echo"<br>";
  
if(!isset($_POST['pedido_g']))
{
	
  //Id del comprador
echo "<input type='hidden' name='id_inversionista' value='$id_dist' >";
echo "<input type='hidden' name='tipodnota' value='$tiponota' >";
//lista de productos-nombres de promociones
  for ($k=0; $k<$cuenta; $k++)
  {
    if ($_POST["cant$k"] > 0)
    {
      $A1[$k]=$_POST["cant$k"];
      $A2[$k]=$_POST["copia_nombreProd$k"];
      $A3[$k]=$_POST["copia_precio$k"];
      $A4[$k]=$_POST["copia_id_prod$k"];
      $A5[$k]=$_POST["copia_puntos$k"];
      $A6[$k]=$_POST["existencias$k"];
      echo"<input type=hidden name=copia_id_prod$k value='$A4[$k]'>
      <input type=hidden name=copia_precio$k value='$A3[$k]'>
      <input type=hidden name=copia_puntos$k value='$A5[$k]'>
      <input type=hidden name=cant$k value='$A1[$k]'> 
      <input type=hidden name=copia_nombreProd$k value='$A2[$k]'>";

    }
  }

//lista sumada por tipo de productos
	echo "<input type='hidden' name='ticket_prod' value='" . serialize($listaNombre) . "' >";
    echo "<input type='hidden' name='ticket_canti' value='" . serialize($listaCantidad) . "' >";
//contador_productos

    echo "<input type='hidden' name='cant_prod' value='$cuenta'>";   echo "<input type='hidden' name='kilos' value='$pesokg'>"; echo "<input type='hidden' name='cantidad' value='$gtot'>";echo "<input type='hidden' name='cdent' value='$centroent'>";
	echo "<br><font color=\"red\"><b>**Guardar el pedido si todav&iacute;a no se hace el pago**</b></font><br><br><input type='submit' value='Guardar pedido'>";
	echo "</form>";
}

?>

